[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.ShouldAutoAdjust

Indicates if the width and/or height for the control can be adjusted by a layout policy.

## Declaration

Source position: stdctrls.pp line 392

`protected procedure TCustomComboBox.ShouldAutoAdjust(`
`var AWidth: Boolean;`
`var AHeight: Boolean`
`); override;`

## Arguments

`AWidth` |  | Always set to True in the method.
`AHeight` |  | True when AutoSize is not enabled for the control.

## Description

ShouldAutoAdjust is an overridden method in TCustomComboBox. It sets the values in the AWidth and AHeight parameters to indicate if the control can adjust the bound(s) when a layout policy is applied to the control. True indicates the value for the property can be adjusted.

ShouldAutoAdjust is used in the implementation of the DoAutoAdjustLayout method.

## See also

TCustomComboBox.DoAutoAdjustLayout |  | Performs actions needed to auto-adjust the control using the specified layout policy.
TControl.ShouldAutoAdjust |  | Indicates whether the height and/or width for a control can be automatically adjusted.